usb-creator-gtk crashed with TypeError in __call__(): first argument must be the method signature string: GLib.Variant('a{sv}', {})

Bug #1279987 reported by Ron on 2014-02-13
162
This bug affects 40 people
Affects Status Importance Assigned to Milestone
usb-creator (Ubuntu)
Medium
Brian Murray
Trusty
Medium
Brian Murray
Utopic
Medium
Brian Murray

Bug Description

Test Case
---------
Make sure versions of the package from the -prosposed repository don't appear in the versions table for the bucket for this crash.

Errors Bucket
-------------
https://errors.ubuntu.com/bucket/?id=/usr/bin/usb-creator-gtk%3ATypeError%3A%3Clambda%3E%3A_device_changed%3A_udisks_obj_added%3A_udisks_cdrom_added%3A__call__

Crashed when trying to create a start-up disk. Got as far as trying to erase the USB drive when it froze and I got the error.

ProblemType: CrashDistroRelease: Ubuntu 14.04
Package: usb-creator-gtk 0.2.53
ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2
Uname: Linux 3.13.0-8-generic x86_64
ApportVersion: 2.13.2-0ubuntu2
Architecture: amd64
CurrentDesktop: GNOME
Date: Thu Feb 13 16:17:24 2014
ExecutablePath: /usr/bin/usb-creator-gtk
InstallationDate: Installed on 2014-01-24 (19 days ago)
InstallationMedia: Ubuntu-GNOME 14.04 "Trusty Tahr" - Alpha amd64 (20140121.1)
InterpreterPath: /usr/bin/python3.3
ProcCmdline: /usr/bin/python3 /usr/bin/usb-creator-gtk
PythonArgs: ['/usr/bin/usb-creator-gtk']SourcePackage: usb-creator
Title: usb-creator-gtk crashed with TypeError in __call__(): first argument must be the method signature string: GLib.Variant('a{sv}', {})
UDisksDump: Error: [Errno 2] No such file or directory: 'udisks'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Ron (rjjbog) wrote :
tags: removed: need-duplicate-check
Changed in usb-creator (Ubuntu):
importance: Undecided → Medium

Thanks for taking the time to report this bug and helping to make Ubuntu better. We appreciate the difficulties you are facing, but this appears to be a "regular" (non-security) bug. I have unmarked it as a security issue since this bug does not show evidence of allowing attackers to cross privilege boundaries nor directly cause loss of data/privacy. Please feel free to report any other bugs you may find.

information type: Private Security → Public

I tried with another usb stick and it worked. I tried the original usb
stick again and got the error again, other than that problem, the usb
stick works fine, i.e., storing and retrieving files.

On 13/02/14 18:48, Seth Arnold wrote:
> Thanks for taking the time to report this bug and helping to make Ubuntu
> better. We appreciate the difficulties you are facing, but this appears
> to be a "regular" (non-security) bug. I have unmarked it as a security
> issue since this bug does not show evidence of allowing attackers to
> cross privilege boundaries nor directly cause loss of data/privacy.
> Please feel free to report any other bugs you may find.
>
> ** Information type changed from Private Security to Public
>

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in usb-creator (Ubuntu):
status: New → Confirmed
gmoore777 (guy-moore) wrote :
Download full text (4.4 KiB)

Same results for me.

One 8 GB Cruzer Micro USB causes this problem.
(I had GParted reformat this to FAT32, then to ext4. Same error.)

I have this othe 16 GB Sandisk Cruzer USB, and I don't have a problem using Startup Disk Creator on it.

If the 8 GB USB is plugged in, Startup Disk Creator crashes immediately upon starting up.
Or if the 8 GB is not plugged, I can start up Startup Disk Creator, but as soon as I insert the
8 GB USB into the port, Startup Disk Creator crashes immediately.

`lsusb --verbose` shows this for the two USB sticks.

Bus 002 Device 004: ID 0781:5406 SanDisk Corp. Cruzer Micro U3
Couldn't open device, some information will be missing
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0781 SanDisk Corp.
  idProduct 0x5406 Cruzer Micro U3
  bcdDevice 2.00
  iManufacturer 1
  iProduct 2
  iSerial 3
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 200mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk-Only
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0

Bus 002 Device 005: ID 0781:5530 SanDisk Corp. Cruzer
Couldn't open device, some information will be missing
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0781 SanDisk Corp.
  idProduct 0x5530 Cruzer
  bcdDevice 1.03
  iManufacturer 1
  iProduct 2
  iSerial 3
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalL...

Read more...

cchuey01 (c2huey) wrote :

I upgraded my Ubuntu 14.04 installation today with the latest patches. I receive the following error when I attempt to startup the "Startup Disk Creator" utility. This issue is not related to the similar issues related to a particular mounted USB device... I do not have any USB devices mounted when I receive this error.

An unhandled exception occured:
first argument must be the method signature string: GLib.Variant('a{sv}', {})

JPi (ajuanpi) wrote :

When launching from command line one gets the error

(usb-creator-gtk:13323): GLib-CRITICAL **: g_hash_table_destroy: assertion 'hash_table != NULL' failed

Aeolian (stellan-kinberg) wrote :

Same problem on Ubuntu Studio with the latest updates.

Michisteiner (michisteiner) wrote :

this seems a duplicate of bug #1302295

mue.de (emuede) wrote :

Same Problem on Kubuntu 14.04 Trusty Tahr, (KDE-Desktop, AMD-64) :

An unhandled exception occurred:
first argument must be the method signature string: GLib.Variant('a{sv}', {})

muelux@muelux-LT71A:~/Software.ins$ lsb_release -ids
Ubuntu
Ubuntu 14.04.1 LTS
muelux@muelux-LT71A:~/Software.ins$ uname -r
3.13.0-32-generic
muelux@muelux-LT71A:~/Software.ins$

# KDELibs-Verison: 4.13.3

mue.de (emuede) wrote :

Hello, and thanks !

As of today (28.08.'14) the bug seems to be corected by an update of the usb-creator-kde, which i received this morning.
[code]
muelux@muelux-LT71A:~/PC70A.cfg$ usb-creator-kde --version
Qt: 4.8.6
KDE: 4.13.3
Startmedienersteller: 0.2.23
muelux@muelux-LT71A:~/PC70A.cfg$
[/code]

Hello
I have the same version as mue.de above (Qt: 4.8.6 KDE: 4.13.3 Tvorca štartovacieho disku: 0.2.23) and I get the exception when I start the program. Interesting is that application continues to run.

But program crashes at later stage, when I try to create bootable stick:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/usbcreator/frontends/kde/frontend.py", line 479, in install
    self.delete_timeout(self.update_loop)
AttributeError: 'KdeFrontend' object has no attribute 'update_loop'

When I try to run usb-creator-gtk I get the exception and can't start the program. Even listing version crashes:
miro@uhlie:~$ usb-creator-gtk --version
0.2.23
(usb-creator-gtk:5330): GLib-CRITICAL **: g_hash_table_destroy: assertion 'hash_table != NULL' failed

Hồng Quân (ng-hong-quan) wrote :

Workaround: #1302295

Pascal Garcia (plgarcia) wrote :

Hello,
I have also the same problem. But not on all systems.
I Entcounters the proble on a virtualbox VM, but not on a VMWare VM.
But I encounter this problem only when a media is introduced in the dvd reader.
As at some point I reformat the USB stck, I do not know, but I do not think, if the content of the USB stick has any impact.

As long as the dvd reader is empty the software starts with no error and I can complete the creation of the disk based on a iso image.
I did not test to create an image based on a physical media I would have introduces after starting usb-creator-gtk.

Hope that comment will help people to use usb-creator-gtk, and to better identify the bug.

Regards
Pascal Garcia

Blue Cuenca (azuer88) wrote :

I also have had this happen to me.

However, the cause was a data dvd. When I ejected the data dvd, it starts up just fine.

I do not know how to provide more information.

Regards,
Blue Cuenca

Marc Culler (marc-culler) wrote :

This bug can be fixed by changing two lines in the python script /usr/lib/python3/dist-packages/usbcreator/backends/udisks$ diff -u backend.py.orig backend.py.

It seems rather important to fix it, since it will prevent people from installing Ubuntu. Also, it is rather off-putting to find a webpage which explains how easy it is to make a bootable USB stick, and then have the easy solution instantly crash.

I am attaching a patch which fixed this problem for me.

Marc Culler (marc-culler) wrote :

My apologies for the garbled paste. The python script to be patched is:

/usr/lib/python3/dist-packages/usbcreator/backends/udisks/backend.py

The attachment "fs.mount_sync(no_options, None) -> fs.call_mount_sync(no_options, None)" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Changed in usb-creator (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Brian Murray (brian-murray)
description: updated
tags: added: utopic vivid
Changed in usb-creator (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → Medium
Changed in usb-creator (Ubuntu Utopic):
status: New → Triaged
importance: Undecided → Medium
Changed in usb-creator (Ubuntu Trusty):
assignee: nobody → Brian Murray (brian-murray)
Changed in usb-creator (Ubuntu Utopic):
assignee: nobody → Brian Murray (brian-murray)
description: updated
description: updated
Changed in usb-creator (Ubuntu Trusty):
status: Triaged → In Progress
Changed in usb-creator (Ubuntu Utopic):
status: Triaged → In Progress
Changed in usb-creator (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.2.63

---------------
usb-creator (0.2.63) vivid; urgency=medium

  * udisks/backend.py: fix some calls to mount_sync that were missed in the
    port to the UDisks2 API. Thanks to Marc Culler for the patch.
    (LP: #1279987)
 -- Brian Murray <email address hidden> Thu, 18 Dec 2014 14:20:04 -0800

Changed in usb-creator (Ubuntu):
status: Fix Committed → Fix Released

Hello Ron, or anyone else affected,

Accepted usb-creator into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/usb-creator/0.2.56.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in usb-creator (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in usb-creator (Ubuntu Utopic):
status: In Progress → Fix Committed
Chris J Arges (arges) wrote :

Hello Ron, or anyone else affected,

Accepted usb-creator into utopic-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/usb-creator/0.2.62ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Yu Ning (yuningdodo) wrote :

I made some tests on trusty with usb-creator-{common,gtk} 0.2.56.3 in below cases:

1. no partition table (dd if=/dev/zero of=/dev/sdb bs=1M count=1)
2. one ntfs partition
3. one ext4 partition
4. one fat32 partition
5. two ext4 partition

For case 1 & 2 & 3 & 5, after the erasing it prompt "There is not enough free space for this image" and the "Make Startup Disk" button is inactivated. After another erasing now the button is activated and I can burn the ISO image successfully.

For case 5, there is also a timed out popup error, but by erasing for the 2nd time the usbstick can be correctly erased.

Anyway since there is no TypeError popup issue reproduced, I think the issue is properly fixed. I'll update the tags for Trusty.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.2.56.3

---------------
usb-creator (0.2.56.3) trusty-proposed; urgency=medium

  [ Brian Murray ]
  * udisks/backend.py: fix some calls to mount_sync that were missed in the
    port to the UDisks2 API. Thanks to Marc Culler for the patch.
    (LP: #1279987)

  [ Yu Ning ]
  * usb-creator-helper: use parent object only if there is a parent.
    (LP: #1380041)
  * usb-creator-helper: re-create the udisks client otherwise it will not
    return the newly created device or partition. (LP: #1361474, #1300361)
  * usb-creator-helper: use parted instead of udisks2 to create the new
    partition table since udisks2 uses wipefs to erase the old partition
    table, however partition table erasing is not supported in wipefs yet in
    trusty, and that would cause a timed out error.
 -- Brian Murray <email address hidden> Thu, 18 Dec 2014 14:48:14 -0800

Changed in usb-creator (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for usb-creator has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usb-creator - 0.2.62ubuntu0.1

---------------
usb-creator (0.2.62ubuntu0.1) utopic-proposed; urgency=medium

  * udisks/backend.py: fix some calls to mount_sync that were missed in the
    port to the UDisks2 API. Thanks to Marc Culler for the patch.
    (LP: #1279987)
 -- Brian Murray <email address hidden> Thu, 18 Dec 2014 14:45:25 -0800

Changed in usb-creator (Ubuntu Utopic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers